Opened 9 years ago

Closed 7 years ago

Last modified 7 years ago

#32837 closed submission (fixed)

new portfile for RKWard

Reported by: meik.michalke@… Owned by: mkae (Marko Käning)
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: mavericks KDE Cc: thomas.friedrichsmeier@…, mkae (Marko Käning)
Port: rkward rkward-devel

Description

this portfile was written and tested by the RKWard team during the past weeks. it will build RKWard directly from the SVN trunc, hence the "-devel" in the port name. once the next stable release is due, we're also planning to add an "rkward" portfile accordingly.

Attachments (5)

rkward-recovery.tar.bz2 (5.7 KB) - added by mkae (Marko Käning) 7 years ago.
recovery files
rkward.rbackend_2014-04-27-231419_Markos-iMac.crash (29.2 KB) - added by mkae (Marko Käning) 7 years ago.
Crash log with more debug output
rkward-logs.tar.bz2 (3.0 KB) - added by mkae (Marko Käning) 7 years ago.
Log files
Portfile (1.9 KB) - added by meik.michalke@… 7 years ago.
Portfile (svn rev 4791)
patch-rkward-rbackend-rkstructuregetter.cpp.diff (1.7 KB) - added by meik.michalke@… 7 years ago.
Patch to Portfile (svn rev 4791)

Download all attachments as: .zip

Change History (40)

comment:1 Changed 9 years ago by ryandesign (Ryan Schmidt)

Some comments:

  • We can't accept a port that fetches its sources directly from svn trunk. Please use a specific svn.revision. Probably that revision, or its corresponding date, should then be a part of the port's advertised version, something like "version 0.5.7-${svn.revision}". The plus sign should probably never appear in the version field; it would probably cause problems since that's the symbol we use to request variants.
  • In the pre-configure block, there's no need to use "system" to make a directory. Just use the "file mkdir" tcl command. You probably also want to do this at post-extract instead of pre-configure, so that, if the configure fails for some reason and the user retries it, you won't be trying to create a directory that already exists.
  • Since you're using cmake to configure this port, have you considered using the cmake portgroup? It might simplify things. It would, for one thing, add the required build-time dependency on cmake that you're currently lacking.

comment:2 Changed 8 years ago by thomas.friedrichsmeier@…

Looking at the macports-tickets archives, it looks like no notification is generated for updated attachments (the updated Portfile in this case), and the "last modified" field continues to show "12 months ago". So I'll use this comment for a ping.

Ryandesign's comments had already been addressed around one year ago. The most recent update to the Portfile (2 days ago) points to the latest stable release of RKWard, instead of just a development snapshot. Could you please consider the udpated Portfile for inclusion?

comment:3 Changed 8 years ago by thomas.friedrichsmeier@…

Cc: thomas.friedrichsmeier@… added

Cc Me!

comment:4 Changed 7 years ago by mkae (Marko Käning)

Cc: mk@… added

Cc Me!

comment:5 Changed 7 years ago by mkae (Marko Käning)

Keywords: mavericks added
Owner: changed from macports-tickets@… to mk@…
Status: newassigned

Hi, I just gave installing RKWard a go on Mavericks, but I ran into this error:

:info:build /opt/local/var/macports/build/_Users_okram_WC_MacPorts_ports_kde_rkward/rkward/work/release_branch_0.6.0/rkward/settings/rksettingsmoduleplugins.cpp:261:2: warning: #warning TODO: show error message
:info:build /opt/local/var/macports/build/_Users_okram_WC_MacPorts_ports_kde_rkward/rkward/work/release_branch_0.6.0/rkward/rbackend/rkrbackend.cpp: In member function 'QStringList RKRBackend::handlePlainGenericRequest(const QStringList&, bool)':
:info:build /opt/local/var/macports/build/_Users_okram_WC_MacPorts_ports_kde_rkward/rkward/work/release_branch_0.6.0/rkward/rbackend/rkrbackend.cpp:1466: error: expected `)' before numeric constant
:info:build -- /opt/local/var/macports/build/_Users_okram_WC_MacPorts_ports_kde_rkward/rkward/work/release_branch_0.6.0/po/fr.po is 99% translated.
:info:build cd /opt/local/var/macports/build/_Users_okram_WC_MacPorts_ports_kde_rkward/rkward/work/release_branch_0.6.0/build/po && /opt/local/bin/cmake -E touch /opt/local/var/macports/build/_Users_okram_WC_MacPorts_ports_kde_rkward/rkward/work/release_branch_0.6.0/build/po/fr.stamp
:info:build make[2]: *** [rkward/rbackend/CMakeFiles/rkward.rbackend.dir/rkrbackend.o] Error 1
:info:build make[2]: Leaving directory `/opt/local/var/macports/build/_Users_okram_WC_MacPorts_ports_kde_rkward/rkward/work/release_branch_0.6.0/build'
:info:build make[1]: *** [rkward/rbackend/CMakeFiles/rkward.rbackend.dir/all] Error 2

I haven't tried to update svn.revision according to your repository up to now... Will check that next.

Still, the portfile attached to this ticket doesn't build on Mavericks as is.

comment:6 Changed 7 years ago by mkae (Marko Käning)

So, I just updated to svn.revision 4783, but the error persists.

comment:7 Changed 7 years ago by mkae (Marko Käning)

When I simply comment out line 1466 in rbackend.cpp I am able to install the port no problem.

It's RKWard icon appears in my launchpad! :-)

At startup however I get an unspecified error presented, which is probably due to my change above:

R version 3.0.3 (2014-03-06) -- "Warm Puppy"
Copyright (C) 2014 The R Foundation for Statistical Computing
Platform: x86_64-apple-darwin13.1.0 (64-bit)

R is free software and comes with ABSOLUTELY NO WARRANTY.
You are welcome to redistribute it under certain conditions.
Type 'license()' or 'licence()' for distribution details.

Natural language support but running in an English locale

R is a collaborative project with many contributors.
Type 'contributors()' for more information and
'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or
'help.start()' for an HTML browser interface to help.
Type 'q()' to quit R.


Attaching package: 'rkward'

The following objects are masked from 'package:grDevices':

X11, x11

The following objects are masked from 'package:base':

Sys.setlocale, makeActiveBinding, q, quit, require, setwd

starting httpd help server ... done
Error in .Call("rk.do.generic.request", c(x, args), isTRUE(synchronous)) : 
"rk.do.generic.request" not resolved from current namespace (rkward)
Calls: rk.set.output.html.file -> .rk.do.plain.call -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure", x, as.character(name), as.integer(envlevel), : 
"rk.get.structure" not resolved from current namespace (rkward)
Calls: .rk.get.structure -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.get.structure.global", as.character(name), as.integer(envlevel), : 
"rk.get.structure.global" not resolved from current namespace (rkward)
Calls: .rk.get.structure.global -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)
Error in .Call("rk.copy.no.eval", k, globalenv(), .rk.watched.symbols) : 
"rk.copy.no.eval" not resolved from current namespace (rkward)
Calls: .rk.watch.globalenv -> .rk.watch.symbol -> .Call
Error during wrapup: "rk.do.error" not resolved from current namespace (rkward)

When I now try to start with an empty table a crash occurs:

rocess:         rkward.frontend [65615]
Path:            /opt/local/bin/rkward.frontend.app/Contents/MacOS/rkward.frontend
Identifier:      ???
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [974]
Responsible:     rkward.frontend [65615]
User ID:         501

Date/Time:       2014-04-13 14:31:25.357 +0200
OS Version:      Mac OS X 10.9.2 (13C64)
Report Version:  11
Anonymous UUID:  80AF6DCF-E201-69CA-C32F-803868317B9F

Sleep/Wake UUID: 68EB189D-3AC8-4961-B266-C4215E0896AD

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_GUARD
Exception Codes: 0x4000000100000003, 0x00007fff82a5ec48

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8546a0c2 close + 10
1   libkdeui.5.dylib              	0x00000001068d7737 KCrash::defaultCrashHandler(int) + 247
2   libsystem_platform.dylib      	0x00007fff8c4245aa _sigtramp + 26
3   libsystem_malloc.dylib        	0x00007fff89561272 tiny_malloc_from_free_list + 1502
4                                 	0x00000001059cb36b RContainerObject::validizeName(QString const&, bool) const + 701
5                                 	0x00000001059ae80a RKEditorDataFrame::RKEditorDataFrame(QString const&, QWidget*) + 202
6                                 	0x000000010593017a RKWorkplace::editNewDataFrame(QString const&) + 102
7                                 	0x0000000105903397 RKWardMainWindow::doPostInit() + 1241
8                                 	0x00000001058fdae6 RKWardMainWindow::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) + 768
9   QtCore                        	0x0000000107a5f65e QObject::event(QEvent*) + 718
10  QtGui                         	0x0000000107d0fc75 QWidget::event(QEvent*) + 4101
11  QtGui                         	0x00000001080675ef QMainWindow::event(QEvent*) + 975
12  libkdeui.5.dylib              	0x000000010698e5ca KXmlGuiWindow::event(QEvent*) + 26
13  QtGui                         	0x0000000107cc057c QApplicationPrivate::notify_helper(QObject*, QEvent*) + 252
14  QtGui                         	0x0000000107cc32de QApplication::notify(QObject*, QEvent*) + 6574
15  QtCore                        	0x0000000107a4c0e5 QCoreApplication::notifyInternal(QObject*, QEvent*) + 117
16  QtCore                        	0x0000000107a4cc08 QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) + 664
17  QtGui                         	0x0000000107c75f2f processPostedEvents(QEventDispatcherMacPrivate*, bool) + 431
18  com.apple.CoreFoundation      	0x00007fff8125fee7 __CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
19  com.apple.CoreFoundation      	0x00007fff8125fe57 __CFRunLoopDoObservers + 391
20  com.apple.CoreFoundation      	0x00007fff81251099 CFRunLoopRunSpecific + 281
21  com.apple.HIToolbox           	0x00007fff8306ea0d RunCurrentEventLoopInMode + 226
22  com.apple.HIToolbox           	0x00007fff8306e685 ReceiveNextEventCommon + 173
23  com.apple.HIToolbox           	0x00007fff8306e5bc _BlockUntilNextEventMatchingListInModeWithFilter + 65
24  com.apple.AppKit              	0x00007fff876ae3de _DPSNextEvent + 1434
25  com.apple.AppKit              	0x00007fff876ada2b -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 122
26  com.apple.AppKit              	0x00007fff876a1b2c -[NSApplication run] + 553
27  QtGui                         	0x0000000107c74820 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 528
28  QtCore                        	0x0000000107a493b7 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 487
29  QtCore                        	0x0000000107a4c677 QCoreApplication::exec() + 199
30                                	0x0000000105906eac main + 9116
31  libdyld.dylib                 	0x00007fff826af5fd start + 1

If click Cancel or select "Start with an empty workspace" in the "What would you like to do?" dialog instead, I see the the RKWard start screen. :-)

I will also attach a tar.bz2 archive containing the .rkward folder containing two recovery files created by RKWard.

Changed 7 years ago by mkae (Marko Käning)

Attachment: rkward-recovery.tar.bz2 added

recovery files

comment:8 Changed 7 years ago by mkae (Marko Käning)

BTW, if I click Cancel in the "What would you like to do?" dialog and then click on the Workspace tab on the top left of the main window I cause another crash:

Process:         rkward.frontend [65738]
Path:            /opt/local/bin/rkward.frontend.app/Contents/MacOS/rkward.frontend
Identifier:      ???
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [974]
Responsible:     rkward.frontend [65738]
User ID:         501

Date/Time:       2014-04-13 14:44:01.428 +0200
OS Version:      Mac OS X 10.9.2 (13C64)
Report Version:  11
Anonymous UUID:  80AF6DCF-E201-69CA-C32F-803868317B9F

Sleep/Wake UUID: 68EB189D-3AC8-4961-B266-C4215E0896AD

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_GUARD
Exception Codes: 0x4000000100000003, 0x00007fff82a5ec48

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8546a0c2 close + 10
1   libkdeui.5.dylib              	0x0000000103e4a737 KCrash::defaultCrashHandler(int) + 247
2   libsystem_platform.dylib      	0x00007fff8c4245aa _sigtramp + 26
3   QtCore                        	0x0000000104ef571d QString::QString(QChar const*, int) + 157
4                                 	0x0000000102f43a40 RKObjectListModel::indexFor(RObject*) const + 200
5                                 	0x0000000102f652e4 RKObjectListView::initialize() + 162
6                                 	0x0000000102ebfac6 RObjectBrowserInternal::RObjectBrowserInternal(QWidget*) + 2736
7                                 	0x0000000102ebfb93 RObjectBrowser::initialize() + 149
8                                 	0x0000000102ebfc12 RObjectBrowser::showEvent(QShowEvent*) + 78
9   QtGui                         	0x000000010526b15a QWidget::event(QEvent*) + 1258
10  QtGui                         	0x00000001055a8567 QFrame::event(QEvent*) + 183
11  QtGui                         	0x000000010521c57c QApplicationPrivate::notify_helper(QObject*, QEvent*) + 252
12  QtGui                         	0x000000010521f2de QApplication::notify(QObject*, QEvent*) + 6574
13  QtCore                        	0x0000000104fad0e5 QCoreApplication::notifyInternal(QObject*, QEvent*) + 117
14  QtGui                         	0x0000000105269e9f QWidgetPrivate::show_helper() + 463
15  QtGui                         	0x000000010526a0cf QWidgetPrivate::showChildren(bool) + 351
16  QtGui                         	0x0000000105269d19 QWidgetPrivate::show_helper() + 73
17  QtGui                         	0x000000010526a9a6 QWidget::setVisible(bool) + 950
18                                	0x0000000102ebbcdc RKToolWindowBar::showWidget(RKMDIWindow*) + 500
19                                	0x0000000102ea0c73 RKMDIWindow::activate(bool) + 107
20  QtCore                        	0x0000000104fc4c5b QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2299
21  libkdeui.5.dylib              	0x0000000103ebc7bc KMultiTabBarButton::slotClicked() + 76
22  libkdeui.5.dylib              	0x0000000103ebb989 KMultiTabBarButton::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) + 57
23  QtCore                        	0x0000000104fc4c5b QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2299
24  QtGui                         	0x0000000105810b10 QAbstractButton::clicked(bool) + 64
25  QtGui                         	0x000000010555eb64 QAbstractButtonPrivate::emitClicked() + 52
26  QtGui                         	0x000000010555e9f5 QAbstractButtonPrivate::click() + 229
27  QtGui                         	0x000000010555f859 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 89
28  QtGui                         	0x000000010526af49 QWidget::event(QEvent*) + 729
29  QtGui                         	0x000000010555f763 QAbstractButton::event(QEvent*) + 179
30  QtGui                         	0x00000001055f7ae8 QPushButton::event(QEvent*) + 88
31  QtGui                         	0x000000010521c57c QApplicationPrivate::notify_helper(QObject*, QEvent*) + 252
32  QtGui                         	0x000000010521ec93 QApplication::notify(QObject*, QEvent*) + 4963
33  QtCore                        	0x0000000104fad0e5 QCoreApplication::notifyInternal(QObject*, QEvent*) + 117
34  QtGui                         	0x000000010521cf33 QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) + 419
35  QtGui                         	0x00000001051cb3b8 qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*, bool) + 1016
36  com.apple.AppKit              	0x00007fff878b0235 -[NSWindow sendEvent:] + 781
37  QtGui                         	0x00000001051c2e2e -[QCocoaWindow sendEvent:] + 110
38  com.apple.AppKit              	0x00007fff878516e4 -[NSApplication sendEvent:] + 2021
39  QtGui                         	0x00000001051c7a0e -[QNSApplication sendEvent:] + 78
40  com.apple.AppKit              	0x00007fff876a1b89 -[NSApplication run] + 646
41  QtGui                         	0x00000001051d0820 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 528
42  QtCore                        	0x0000000104faa3b7 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 487
43  QtCore                        	0x0000000104fad677 QCoreApplication::exec() + 199
44                                	0x0000000102e7ceac main + 9116
45  libdyld.dylib                 	0x00007fff826af5fd start + 1

comment:9 Changed 7 years ago by mkae (Marko Käning)

Funnily enough, if I click first on the Files tab and only then click on the Workspace tab the crash does not occur!

comment:10 Changed 7 years ago by mkae (Marko Käning)

Hacking line 1466 apart revealed that R_SVN_REVISION is the reason for this.

Here on my system its contents is indeed an integer.

I haven't dug further with this now, since I am not sure whether this variable is actually responsible for the problem in comment:7.

Last edited 7 years ago by mkae (Marko Käning) (previous) (diff)

comment:11 Changed 7 years ago by mkae (Marko Käning)

OK, I have tried to use your latest portfiles and ran with the 0.6.1 release as well as with the devel port into a crash at startup:

Process:         rkward.frontend [78710]
Path:            /opt/local/bin/rkward.frontend.app/Contents/MacOS/rkward.frontend
Identifier:      ???
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [974]
Responsible:     rkward.frontend [78710]
User ID:         501

Date/Time:       2014-04-13 16:00:15.483 +0200
OS Version:      Mac OS X 10.9.2 (13C64)
Report Version:  11
Anonymous UUID:  80AF6DCF-E201-69CA-C32F-803868317B9F

Sleep/Wake UUID: 68EB189D-3AC8-4961-B266-C4215E0896AD

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_GUARD
Exception Codes: 0x4000000100000003, 0x00007fff82a5ec48

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff8546a0c2 close + 10
1   libkdeui.5.dylib              	0x0000000105273737 KCrash::defaultCrashHandler(int) + 247
2   libsystem_platform.dylib      	0x00007fff8c4245aa _sigtramp + 26
3   QtCore                        	0x00000001063fd9a8 normalizeTypeInternal(char const*, char const*, bool, bool) + 1240

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff8546a662 kevent64 + 10
1   libdispatch.dylib             	0x00007fff82a4c43d _dispatch_mgr_invoke + 239
2   libdispatch.dylib             	0x00007fff82a4c152 _dispatch_mgr_thread + 52

Thread 2:
0   libsystem_kernel.dylib        	0x00007fff85469e6a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8b8e6f08 _pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff8b8e9fb9 start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff85469e6a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8b8e6f08 _pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff8b8e9fb9 start_wqthread + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff85469e6a __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x00007fff8b8e6f08 _pthread_wqthread + 330
2   libsystem_pthread.dylib       	0x00007fff8b8e9fb9 start_wqthread + 13

Thread 5:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff854699aa __select + 10
1   com.apple.CoreFoundation      	0x00007fff8129db83 __CFSocketManager + 867
2   libsystem_pthread.dylib       	0x00007fff8b8e5899 _pthread_body + 138
3   libsystem_pthread.dylib       	0x00007fff8b8e572a _pthread_start + 137
4   libsystem_pthread.dylib       	0x00007fff8b8e9fc9 thread_start + 13

Thread 6:: QKqueueFileSystemWatcherEngine
0   libsystem_kernel.dylib        	0x00007fff8546a64a kevent + 10
1   QtCore                        	0x00000001063d73ba QKqueueFileSystemWatcherEngine::run() + 122
2   QtCore                        	0x00000001062f3c54 QThreadPrivate::start(void*) + 420
3   libsystem_pthread.dylib       	0x00007fff8b8e5899 _pthread_body + 138
4   libsystem_pthread.dylib       	0x00007fff8b8e572a _pthread_start + 137
5   libsystem_pthread.dylib       	0x00007fff8b8e9fc9 thread_start + 13

Thread 7:: RKFrontendTransmitter
0   libsystem_kernel.dylib        	0x00007fff854699aa __select + 10
1   QtCore                        	0x000000010641f445 qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) + 341
2   QtCore                        	0x000000010642252b QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) + 827
3   QtCore                        	0x0000000106423d48 QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 232
4   QtCore                        	0x00000001063f13b7 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 487
5   QtCore                        	0x00000001062f1bc5 QThread::exec() + 229
6                                 	0x0000000104341219 RKFrontendTransmitter::run() + 2969
7   QtCore                        	0x00000001062f3c54 QThreadPrivate::start(void*) + 420
8   libsystem_pthread.dylib       	0x00007fff8b8e5899 _pthread_body + 138
9   libsystem_pthread.dylib       	0x00007fff8b8e572a _pthread_start + 137
10  libsystem_pthread.dylib       	0x00007fff8b8e9fc9 thread_start + 13

Thread 8:: QProcessManager
0   libsystem_kernel.dylib        	0x00007fff854699aa __select + 10
1   QtCore                        	0x00000001063c9298 QProcessManager::run() + 136
2   QtCore                        	0x00000001062f3c54 QThreadPrivate::start(void*) + 420
3   libsystem_pthread.dylib       	0x00007fff8b8e5899 _pthread_body + 138
4   libsystem_pthread.dylib       	0x00007fff8b8e572a _pthread_start + 137
5   libsystem_pthread.dylib       	0x00007fff8b8e9fc9 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000001  rbx: 0x0000000000000003  rcx: 0x00007fff5b9fcb18  rdx: 0x0000000000000000
  rdi: 0x0000000000000003  rsi: 0x00007fff5b9fcc18  rbp: 0x00007fff5b9fcd80  rsp: 0x00007fff5b9fcb18
   r8: 0x00007fff5b9fd220   r9: 0x0000000106e4ae80  r10: 0x00007fff8546916e  r11: 0x0000000000000206
  r12: 0x000000000000000b  r13: 0x00007fff7324b420  r14: 0x00007f8559d09b80  r15: 0x00000001043ff988
  rip: 0x00007fff8546a0c2  rfl: 0x0000000000000207  cr2: 0x0000000000000010
  
Logical CPU:     0
Error Code:      0x02000006
Trap Number:     133

Now that you're using gcc47 for building it doesn't complain anymore about R_SVN_REVISION.

My previous trials to run have been much more successful, right?! ;-)

comment:12 Changed 7 years ago by thomas.friedrichsmeier@…

Hi!

Thanks for taking a look at the portfile, and sorry to hear it does not work for you. I did not get a chance to test on Maverick, yet, so this could well be a factor.

Regarding the crashes in comment:7 through comment:9 : Well, that is embarassing, but I believe all of this comes down to the problem starting the backend, and then code at other places does not do enough error checking to handle this - unexpected - condition, gracefully.

Regarding comment:11, this looks like a more serious problem. The backtraces don't show the point of failure inside RKWard's code. So either a) the backtraces are just too short. Could you try starting rkward as /opt/local/bin/rkward.frontend.app/Contents/MacOS/rkward --debug-level 5 . On the console you should see a line giving the location of debug output. Attach the latest rkward.frontend.XYZ file from that location. b) the problem could be more fundamental. Do other KDE apps start ok (try kwrite, for instance)?

Thanks!

comment:13 Changed 7 years ago by thomas.friedrichsmeier@…

Of, and an addition: RKWard 0.6.0 cannot be used with R 3.0.x. The compilation problem with R_SVN_REVISON is just the earliest, not only symptom of that.

comment:14 Changed 7 years ago by mkae (Marko Käning)

Hi Thomas, I'll have to let you wait regarding this issue for now, since I am off into holidays for over a week.

But this might give you enough time to figure out how to adapt your current portfile so that it builds with MacPorts' version of R. ;-)

Greets, Marko

comment:15 Changed 7 years ago by mkae (Marko Käning)

I've just committed a new portfile for port rkward in r119488 since it built and ran fine for me on OSX 10.6.8!

I am not closing this issue since I haven't yet tested it on 10.9.2 and not yet introduced the rkward-devel port.

RKWard's port files

comment:16 Changed 7 years ago by mkae (Marko Käning)

Keywords: KDE added
Port: rkward rkward-devel added
Resolution: fixed
Status: assignedclosed
Version: 2.0.32.2.1

OK, eventually introduced portfile for port rkward-devel in r119489, but with a specified SVN version which will also be kept in the port's name once installed:

$ port installed rkward-devel
The following ports are currently installed:
  rkward-devel @0.6.1-4784_0 (active)

comment:17 Changed 7 years ago by mkae (Marko Käning)

Resolution: fixed
Status: closedreopened

Test installation and running on Mavericks still pending, that's why revert erroneously close.

comment:18 Changed 7 years ago by jmroot (Joshua Root)

Please fix rkward-binary and rkward-devel-binary so they don’t attempt to create directories every time the portfile is parsed.

comment:19 in reply to:  18 Changed 7 years ago by mkae (Marko Käning)

Replying to jmr@…:

Please fix rkward-binary and rkward-devel-binary so they don’t attempt to create directories every time the portfile is parsed.

OK, jmr, I guess I'll dump those variants totally as a quick and dirty fix.

Thanks for letting me know.

comment:20 Changed 7 years ago by mkae (Marko Käning)

Done so in r119496. (I don't think we need the devel and binary subports for now.)

Meik, can you perhaps supply an fixed version (wrt directory creation) of those port files?

comment:21 Changed 7 years ago by mkae (Marko Käning)

I noticed that it was necessary to install gcc47 AND gcc48. According to RKWard's portfile it needs to use gcc47:

if {${configure.compiler} == "clang"} {
        # force the use of gcc 4.7 to be able to link with R-framework
        depends_lib-append   port:gcc47

but R itself requires gcc48...

I guess one could simply try to use gcc48 also for rkward.

comment:22 Changed 7 years ago by mkae (Marko Käning)

OK, on Mavericks I do call kbuildsycoca4:

$ kbuildsycoca4 --noincremental
$ /opt/local/bin/rkward.frontend.app/Contents/MacOS/rkward.frontend --debug-level 5
rkward(21944)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/private/var/tmp/kdecache-marko/ksycoca4"
Killed: 9
$

Crash log will get attached...

Changed 7 years ago by mkae (Marko Käning)

Crash log with more debug output

comment:23 Changed 7 years ago by mkae (Marko Käning)

In r119498 I made rkward(-devel) use gcc 4.8, but it did not help to avoid the crashing.

comment:24 Changed 7 years ago by thomas.friedrichsmeier@…

Hi!

Regarding gcc 4.7 vs 4.8: This should not matter, indeed. gcc 4.7 vs < 4.7 *did* matter due to ABI changes. The portfile was forcing gcc 4.7, because this was what R was using at the time of writing.

Don't call rkward.frontend app, directly. This is not expected to work. (Ok, it's not really expected to crash, either, but the backtrace you get from this is unlikely to have anything to do with the "real" issue). Always use the wrapper shell script "rkward".

Also, could you attach RKWard's own debug logs? These should be generated in $TMPDIR, one for the frontend, one for the backend. These are most verbous at --debug-level 5.

Thanks!

comment:25 Changed 7 years ago by mkae (Marko Käning)

Hi Thomas,

I think we've got to do something about the currently existing portfiles for rkward(-devel) since I just spotted a post by Ryan who highlights major issues.

Although he also refers to the already removed debug and binary subports, there is still enough to chew on.

As I don't have time to do this now, I have to leave it for today and hope you might find the time to go through his post and commit a patch for the currently committed Portfiles.

Greets, Marko

Changed 7 years ago by mkae (Marko Käning)

Attachment: rkward-logs.tar.bz2 added

Log files

Changed 7 years ago by meik.michalke@…

Attachment: Portfile added

Portfile (svn rev 4791)

Changed 7 years ago by meik.michalke@…

Patch to Portfile (svn rev 4791)

comment:26 Changed 7 years ago by meik.michalke@…

hi marko,

Replying to mk@…:

I think we've got to do something about the currently existing portfiles for rkward(-devel) since I just spotted a post by Ryan who highlights major issues.

thanks for this valuable feedback! i did my best to sort things out and fix our portfile accordingly. some things that have changed:

only the rkward portfile is intended to be added to MacPorts, not the rkward-devel portfile. that was actually the case in the first place, but i forgot to mention it earlier :-/ i've also removed the binary subport from the rkward portfile, so it should now be in line with MacPorts policies. in effect, the portfile is much lighter now. unfortunately, the current stable release needs a patch to build until we're ready to release 0.6.2, i'll attach that, too.

viele grüße :: m.eik

comment:27 Changed 7 years ago by mkae (Marko Käning)

Hi Meik,

please always submit diffs to the currently existing port file, which makes it easier for the maintainer to review changes here on trac. (For now it is good, no need to update this ticket just because of that.)

OK, if the rkward-devel port is not to be made public I'll declare it as obsolete and replaced_by reward.

Thanks for your submission!

Greets, Marko

comment:28 Changed 7 years ago by mkae (Marko Käning)

step 1: rkward-devel replacement done in r119605

comment:29 Changed 7 years ago by mkae (Marko Käning)

step 2: rkward committed in r119608 with the following changes:

  • remove pre-pkg (Was not working properly. Is it really needed here on MacPorts after all?)
  • remove master_sites since you're fetching the sources via SVN

But as it turned out building on all 4 buildbots failed due to missing dep automoc.

comment:30 Changed 7 years ago by mkae (Marko Käning)

step 3: rkward update in r119609 includes:

  • fetches tarball from SF (avoiding SVN fetch)
  • uses portgroup kde4 instead of cmake (to address the missing automoc)
  • adapt worksrcdir

comment:31 Changed 7 years ago by mkae (Marko Käning)

Hi Meik & Thomas,

it might be valuable information for you to check the MacPorts buildbot's warnings:

which are certainly cluttered with stuff from other KDE apps as well, but some of it directly relates to RKWard.

OK, but in principle RKWard should now be usable on all 4 OSX versions.

Greets, Marko

P.S.: If you've got updates to the portfile, please just commit a diff against the its current version for easy review.

Last edited 7 years ago by mkae (Marko Käning) (previous) (diff)

comment:32 Changed 7 years ago by mkae (Marko Käning)

Resolution: fixed
Status: reopenedclosed

comment:33 in reply to:  31 ; Changed 7 years ago by thomas.friedrichsmeier@…

Hi Marko,

thanks a lot!

Replying to mk@…:

OK, but in principle RKWard should now be usable on all 4 OSX versions.

Does that imply, the crash at startup on Maverick is gone, too?

Regards Thomas

comment:34 in reply to:  33 Changed 7 years ago by mkae (Marko Käning)

Replying to thomas.friedrichsmeier@…:

Does that imply, the crash at startup on Maverick is gone, too?

Yep. :-)

comment:35 Changed 7 years ago by mkae (Marko Käning)

FYI, I just saw this warning:

$ kbuildsycoca4 --noincremental
kbuildsycoca4 running...
kbuildsycoca4(40444) KConfigGroup::readXdgListEntry: List entry Categories in "/opt/local/share/applications/kde4/rkward.desktop" is not compliant with XDG standard (missing trailing semicolon). 
Note: See TracTickets for help on using tickets.